Bug 437743 - Recent update incorrectly overwrote iptables
Recent update incorrectly overwrote iptables
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 02:27 EDT by bob mckay
Modified: 2009-02-11 11:39 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:12:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bob mckay 2008-03-17 02:27:45 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 bob mckay 2008-03-17 02:36:05 EDT
Sorry, finger trouble:
Description of problem:
Ran "Update Software" on fedora 8 on 20080314 (previous update was around 20080307, so it was one 
of the updates in between those dates)

Version-Release number of selected component (if applicable):
Possibly kernel2.6.23 -> 2.6.24 upgrade, but not certain


How reproducible:
Too complex to attempt to reproduce


Steps to Reproduce:
1. Build system from original installation
2.  Modify iptables setup (I used fwbuilder, but I expect it will apply to any modified firewall)
3.  Run software update
  
Actual results:
My cluster stopped working. Eventually traced (after two days' work) to iptables configuration being 
overwritten

Expected results:
My re-configured iptables setup is retained


Additional info:
I presume the problem is one of the recent updates, with the kernel update being an obvious guess: 
something in the update overwrote iptables back to the default. Of course, there's nothing wrong with 
an update upgrading the default iptables configuration. But it's almost trivial for the script to test first if 
the iptables configuration is the default, before over-writing it. This is an obvious test to include in the 
rpm. It seems it was omitted.
Comment 2 Thomas Woerner 2008-04-02 12:12:40 EDT
Have you disabled the normal firewall system with system-config-firewall or
lokkit? If not, then you should do.
Comment 3 Bug Zapper 2008-11-26 05:11:18 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:12:03 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 bob mckay 2009-02-11 11:39:42 EST
(In reply to comment #2)
> Have you disabled the normal firewall system with system-config-firewall or
> lokkit? If not, then you should do.

Sorry, didn't see this at the relevant time. Problem has not re-arisen since.

Note You need to log in before you can comment on or make changes to this bug.